## com.artofsolving.jodconverter
Class DocumentFormat

    java.lang.Object
      com.artofsolving.jodconverter.DocumentFormat

    public class DocumentFormat

extends java.lang.Object

Represents a document format ("OpenDocument Text" or "PDF"). Also contains its available export filters.

Constructor Summary
`DocumentFormat()`
`DocumentFormat(java.lang.String name, DocumentFamily family, java.lang.String mimeType, java.lang.String extension)`
`DocumentFormat(java.lang.String name, java.lang.String mimeType, java.lang.String extension)`

Method Summary
`java.util.Map` `getExportOptions(DocumentFamily family)`
`DocumentFamily` `getFamily()`
`java.lang.String` `getFileExtension()`
`java.util.Map` `getImportOptions()`
`java.lang.String` `getMimeType()`
`java.lang.String` `getName()`
`boolean` `isExportableFrom(DocumentFamily family)`
`boolean` `isExportableTo(DocumentFormat otherFormat)`
`boolean` `isExportOnly()`
`boolean` `isImportable()`
`void` `setExportFilter(DocumentFamily family, java.lang.String filter)`
`void` `setExportOption(DocumentFamily family, java.lang.String name, java.lang.Object value)`
`void` `setImportOption(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentFormat

    public DocumentFormat()

### DocumentFormat

    public DocumentFormat(java.lang.String name,
                          java.lang.String mimeType,
                          java.lang.String extension)

### DocumentFormat

    public DocumentFormat(java.lang.String name,
                          DocumentFamily family,
                          java.lang.String mimeType,
                          java.lang.String extension)

Method Detail

### getName

    public java.lang.String getName()

### getFamily

    public DocumentFamily getFamily()

### getMimeType

    public java.lang.String getMimeType()

### getFileExtension

    public java.lang.String getFileExtension()

### isImportable

    public boolean isImportable()

### isExportOnly

    public boolean isExportOnly()

### isExportableTo

    public boolean isExportableTo(DocumentFormat otherFormat)

### isExportableFrom

    public boolean isExportableFrom(DocumentFamily family)

### setExportFilter

    public void setExportFilter(DocumentFamily family,
                                java.lang.String filter)

### setExportOption

    public void setExportOption(DocumentFamily family,
                                java.lang.String name,
                                java.lang.Object value)

### getExportOptions

    public java.util.Map getExportOptions(DocumentFamily family)

### setImportOption

    public void setImportOption(java.lang.String name,
                                java.lang.Object value)

### getImportOptions

    public java.util.Map getImportOptions()

Copyright © 2003-2009 Art of Solving. All Rights Reserved.